<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="filter">
    <form class="ui form" th:object="${filter}" id="filter-form" th:action="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKITEMS_FILTER}}">
      <div class="ui grid">
        <div class="twelve wide column">
          <div class="ui icon search input full-width">
            <input name="searchField" id="searchField" th:field="*{searchQuery}" onkeypress="search(event);" type="text" placeholder="Search workitems ... " />
            <i class="search icon"></i>
          </div>
        </div>
        <div class="four wide column grid-column-statistic">
          <div class="statistic">
            <div class="value">
              <i class="small circle icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
              <th:block th:text="${#authentication.principal?.team?.name}"></th:block>
            </div>
          </div>
        </div>
        <div class="four wide column" th:each="type, stat  : ${typesofworkitem}" style="vertical-align: top;">
          <div class="ui relaxed list">
            <div class="item">
              <div class="ui master checkbox">
                <input type="checkbox" th:field="*{types[__${stat.index}__].id}" th:value="${type.id}">
                <input type="hidden" th:field="*{types[__${stat.index}__].name}">
                <label th:text="${type.name}"></label>
              </div>
              <div class="list">
                <div class="item" th:each="status, stat2 : ${type.statuses}">
                  <div class="ui child checkbox field">
                    <input type="checkbox" th:field="*{types[__${stat.index}__].statuses[__${stat2.index}__].id}" th:value="${status.id}">
                    <input type="hidden" th:field="*{types[__${stat.index}__].statuses[__${stat2.index}__].name}">
                    <label><span th:classappend="${status.finalStatus} ? 'ui violet text' : (${status.initialStatus} ? 'ui blue text')" th:text="${status.name}">>></span></label>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
		<div class="sixteen field wide">
			<label class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_APPLICATION}}"></label>
			<select name="applications" multiple="multiple" class="ui fluid dropdown search" th:field="*{applications}">
				<option value="" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_APPLICATIONS}}"></option>
				<option th:each="app : ${apps}" th:text="${app.name} + ' - ' + ${app.description}" th:value="${app.id}"></option>
			</select>
        </div>
        <div class="sixteen wide column">
	        <div class="inline fields">
	        	<div class="field">
	        		<div class="ui radio checkbox">
	          			<input class="hidden" th:field="*{option}" value="0" type="radio" />
	          			<label th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ALL}}"></label>
	        		</div>
	      		</div>
	        	<div class="field">
	        		<div class="ui radio checkbox">
	          			<input class="hidden" th:field="*{option}" value="1" type="radio" />
	          			<label th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ASSIGNED_TO_ME}}"></label>
	        		</div>
	       		</div>
	       		<div class="field">
	        		<div class="ui radio checkbox">
	          			<input class="hidden" th:field="*{option}" value="2" type="radio" />
	          			<label th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CREATEDBY_ME}}"></label>
	        		</div>
	       		</div>
	       </div>
       </div>
      </div>
      <br /> <br />
      <button class="ui mini button right floated" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" type="submit">
        <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_APPLY}}"></span>
      </button>
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
  </th:block>
</body>
</html>
